cdfAddPlasqTypes {affxparser} | R Documentation

## Adds the PLASQ types for the probes in a CDF structure

### Description

Adds the PLASQ types for the probes in a CDF structure.

This `function` is design to be used with `applyCdfGroups`() on an Affymetrix Mapping (SNP) CDF `list` structure.

### Usage

    cdfAddPlasqTypes(groups, ...)

### Arguments

`groups` | A `list` structure with groups. Each group must contain the fields `tbase`, `pbase`, and `expos`.
`...` | Not used.

### Details

This function identifies the number of nucleotides (bases) in probe sequences that mismatch the the target sequence for allele A and the allele B, as used by PLASQ [1], and adds an integer [0,15] interepreted as one of 16 probe types. In PLASQ these probe types are referred to as: 0=MMoBR, 1=MMoBF, 2=MMcBR, 3=MMcBF, 4=MMoAR, 5=MMoAF, 6=MMcAR, 7=MMcAF, 8=PMoBR, 9=PMoBF, 10=PMcBR, 11=PMcBF, 12=PMoAR, 13=PMoAF, 14=PMcAR, 15=PMcAF.

Pseudo rule for finding out the probe-type value:

- PM/MM: For MMs add 0, for PMs add 8.
- A/B: For Bs add 0, for As add 4.
- o/c: For shifted (o) add 0, for centered (c) add 2.
- R/F: For antisense (R) add 0, for sense (F) add 1.

Example: (PM,A,c,R) = 8 + 4 + 2 + 0 = 14 (=PMcAR)

### Value

Returns a `list` structure with the same number of groups as the `groups` argument. To each group, one fields is added:

`plasqType` | A `vector` of `integer`s in [0,15].

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] LaFramboise T, Weir BA, Zhao X, Beroukhim R, Li C, Harrington D, Sellers WR, and Meyerson M. Allele-specific amplification in cancer revealed by SNP array analysis, PLoS Computational Biology, Nov 2005, Volume 1, Issue 6, e65.

[Package affxparser version 1.16.0 Index]